Package de.willuhn.jameica.hbci.gui.dialogs

# Class ReminderIntervalDialog

java.lang.Object
de.willuhn.jameica.gui.dialogs.AbstractDialog<de.willuhn.jameica.reminder.ReminderInterval>
de.willuhn.jameica.hbci.gui.dialogs.ReminderIntervalDialog

public class ReminderIntervalDialog extends de.willuhn.jameica.gui.dialogs.AbstractDialog<de.willuhn.jameica.reminder.ReminderInterval>
Ein Dialog zur Auswahl eines Intervalls fuer die regelmaessige Duplizierung von Auftraegen

## Field Summary

### Fields inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`MONITOR_CURRENT, MONITOR_PRIMARY, POSITION_CENTER, POSITION_MOUSE`

## Constructor Summary

Constructors
Constructor
Description
`ReminderIntervalDialog(de.willuhn.jameica.reminder.ReminderInterval interval, Date start, Date end, int position)`
ct.

## Method Summary

Modifier and Type
Method
Description
`protected de.willuhn.jameica.reminder.ReminderInterval`
`getData()`
`Date`
`getEnd()`
Liefert das Ende-Datum - insofern eines angegeben wurde.
`protected void`
`paint(org.eclipse.swt.widgets.Composite parent)`
`void`
`setDate(Date date)`
Speichert das Start-Datum fuer die Berechnung der Vorschau auf die naechsten Termine.

### Methods inherited from class de.willuhn.jameica.gui.dialogs.AbstractDialog

`addCloseListener, addShellListener, close, createShell, getDisplay, getShell, isModeless, onEscape, open, setMonitor, setPanelText, setSideImage, setSize, setTitle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ReminderIntervalDialog

public ReminderIntervalDialog(de.willuhn.jameica.reminder.ReminderInterval interval, Date start, Date end, int position)
ct.

Parameters:
  `interval` - das Intervall.
  `start` - Start-Datum zur Berechnung der Vorschau auf die naechsten Termine.
  `end` - optioanles Ende-Datum.
  `position` - die Dialog-Position.

## Method Details

### setDate

public void setDate(Date date)
Speichert das Start-Datum fuer die Berechnung der Vorschau auf die naechsten Termine.

Parameters:
  `date` - das Start-Datum.

### paint

protected void paint(org.eclipse.swt.widgets.Composite parent) throws Exception

Specified by:
  `paint` in class `de.willuhn.jameica.gui.dialogs.AbstractDialog<de.willuhn.jameica.reminder.ReminderInterval>`
Throws:
  `Exception`
See Also:
  - `AbstractDialog.paint(org.eclipse.swt.widgets.Composite)`

### getData

protected de.willuhn.jameica.reminder.ReminderInterval getData() throws Exception

Specified by:
  `getData` in class `de.willuhn.jameica.gui.dialogs.AbstractDialog<de.willuhn.jameica.reminder.ReminderInterval>`
Throws:
  `Exception`
See Also:
  - `AbstractDialog.getData()`

### getEnd

public Date getEnd()
Liefert das Ende-Datum - insofern eines angegeben wurde.

Returns:
  das optionale Ende-Datum.